name: Build Flutter Web and Docker Image for Local Registry

on:
  push:
    branches:
      - master
  pull_request:
    branches:
      - master

jobs:
  build:
    name: Build React Native Web App
    runs-on: ubuntu-latest

    steps:
      - name: Checkout code
        uses: actions/checkout@v4

      - name: Setup Node
        uses: actions/setup-node@v4
        with:
          node-version: 20
          cache: 'npm'

      - name: Install Dependencies
        run: npm install

      - name: Install Expo
        run: npm install -g expo-cli

      - name: Build
        run: expo export --platform web

      - name: List Directory
        run: | 
          ls -l .
          ls -l ./pogdark/
              
